ScanopyScanopy
Tag Groups

Set the order of a tag group's tags

Tables, pickers and the topology list a group's tags in this order.

PUT
/api/v1/tag-groups/{id}/tag-order

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

Tag group ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for setting a tag group's tag order

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/tag-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/tag-order" \  -H "Content-Type: application/json" \  -d '{    "tag_ids": [      "f822a538-5d10-4249-89b6-dd557ee5945e"    ]  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.22"
  },
  "success": true,
  "data": [
    {
      "color": "Green",
      "created_at": "2026-01-15T10:30:00Z",
      "description": "Production environment resources",
      "icon": null,
      "id": "550e8400-e29b-41d4-a716-44665544000a",
      "lineage_id": null,
      "name": "production",
      "organization_id": "550e8400-e29b-41d4-a716-446655440001",
      "position": 1,
      "tag_group_id": "550e8400-e29b-41d4-a716-446655440010",
      "updated_at": "2026-01-15T10:30:00Z",
      "valid_from": "2026-01-15T10:30:00Z",
      "valid_to": null
    }
  ],
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.22"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.22"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}